gnutls_pkcs12_bag_init(3)

NAME
gnutls_pkcs12_bag_init - This function initializes a gnutls_pkcs12_bag_t structure

SYNOPSIS
#include <gnutls/pkcs12.h>

int gnutls_pkcs12_bag_init(gnutls_pkcs12_bag_t * bag);

ARGUMENTS

gnutls_pkcs12_bag_t * bag
    The structure to be initialized

DESCRIPTION
This function will initialize a PKCS12 bag structure. PKCS12 Bags usually contain private keys, lists of X.509 Certificates and X.509 Certificate revocation lists.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.